Package com.independentsoft.office.odf.charts

# Enum Class LegendExpansion

java.lang.Object
java.lang.Enum<LegendExpansion>
com.independentsoft.office.odf.charts.LegendExpansion

All Implemented Interfaces:
  `Serializable`, `Comparable<LegendExpansion>`, `Constable`

public enum LegendExpansion extends Enum<LegendExpansion>
Represents the direction in which a legend expands while accommodating new entries.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BALANCED`
  Legend expands horizontally and vertically.
  `CUSTOM`
  Legend expands according to the specified ratio.
  `HIGH`
  Legend expands vertically.
  `NONE`
  None.
  `WIDE`
  Legend expands horizontally.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LegendExpansion`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LegendExpansion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WIDE

    public static final LegendExpansion WIDE
    Legend expands horizontally.

  - ### HIGH

    public static final LegendExpansion HIGH
    Legend expands vertically.

  - ### BALANCED

    public static final LegendExpansion BALANCED
    Legend expands horizontally and vertically.

  - ### CUSTOM

    public static final LegendExpansion CUSTOM
    Legend expands according to the specified ratio.

  - ### NONE

    public static final LegendExpansion NONE
    None.

- ## Method Details

  - ### values

    public static LegendExpansion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LegendExpansion valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null